Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1242806 - Add support for little endian MIPS
Summary: Add support for little endian MIPS
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: hawkey
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2015-07-14 08:31 UTC by Michal Toman
Modified: 2015-08-07 17:33 UTC (History)
6 users (show)

Fixed In Version: hawkey-0.6.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 17:33:05 UTC


Attachments (Terms of Use)
Add-support-for-little-endian-MIPS.patch (deleted)
2015-07-14 08:31 UTC, Michal Toman
no flags Details

Description Michal Toman 2015-07-14 08:31:31 UTC
Created attachment 1051694 [details]
Add-support-for-little-endian-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires to add little endian MIPS support to hawkey.

Actual results:
Current hawkey only supports big endian MIPS

Expected results:
Both little and big endian work correctly

Additional info:
Hawkey uses uname to determine the CPU architecture. For MIPS, the result is the same for little and big endian (it is always "mips" or "mips64" which is considered big endian). We need to distinguish between mips/mipsel and mips64/mips64el in order to install correct packages.

Attaching a dist-git patch

Comment 1 Jan Kurik 2015-07-15 13:17:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Honza Silhan 2015-07-29 14:14:52 UTC
Would you be able to support MIPS in hawkey upstream [1]? If so, do the pull request, please.

[1] https://github.com/rpm-software-management/hawkey/

Comment 3 Michal Toman 2015-08-04 07:44:57 UTC
I can do the upstream support, here's the pull request
https://github.com/rpm-software-management/hawkey/pull/107

Comment 4 Honza Silhan 2015-08-07 17:33:05 UTC
The hawkey-0.6.0 with MIPS support will be built for F22, F23 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.